package siprp.database.cayenne.objects;

import java.util.Collections;
import java.util.List;

import siprp.database.cayenne.objects.auto._Empresas;

public class Empresas extends _Empresas {
	private static final long serialVersionUID = 1L;

	@Override
	public String getDesignacaoSocial()
	{
		return parseFromUnicode( super.getDesignacaoSocial() );
	}
	
	@Override
	public void setDesignacaoSocial( String nome )
	{
		super.setDesignacaoSocial( parseToUnicode( nome ) );
	}
	
	@Override
	public String toString()
	{
		return getDesignacaoSocial();
	}
	
	@Override
	public List<Estabelecimentos> getEstabelecimentosArray()
	{
		List<Estabelecimentos> result = super.getEstabelecimentosArray();
		for(int i = 0; i < result.size(); ++i)
		{
			Estabelecimentos current = result.get(i);
			if( current == null || "y".equals(current.getInactivo()))
			{
				result.remove( i );
				--i;
			}
		}
		Collections.sort(result);
		return result;
	}
}



